
QGIS Application - Bug report #12555

geojson open with bad result with all data on same point, wrong coordinates, if some system locale 

setting is not in en

2015-04-13 03:29 AM - Marco Braida

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:2.8.1 Regression?: No

Operating System: linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 20696

Description

Here the complete already done test...

https://github.com/3liz/QgisQuickOSMPlugin/issues/53#event-277601433

Thank you

Related issues:

Duplicates QGIS Application - Bug report # 11587: all coordinates truncated t... Closed 2014-11-06

History

#1 - 2015-04-13 03:36 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi, can you please detail what this issue is about? thanks.

#2 - 2015-04-13 06:37 AM - Marco Braida

The problem here is with italian locale settings on reading/rendering geojson files (the files to test are in the links below please try the xxxpoints.geojson)

all geometries of geojson are collapsed into a single point, the geojson file is valid.

If i change locale settings, to english in my env, then after logoff and logon, the same geojson file is rendered well in qgis, so must be some related to

numeric format in qgis on importing geojson.

The geojson to load and test in qgis are small files in Dropbox here https://db.tt/hjXHQTmP

and the points file on geojson.io is here (well rendered) http://bl.ocks.org/d/79b541226cecf3b46307

http://geojsonlint.com/ parse the tmpXXXXX_points.geojson . file without any issue

HTH

Marco

#3 - 2015-06-04 12:56 AM - Jürgen Fischer

- Status changed from Feedback to Open
https://github.com/3liz/QgisQuickOSMPlugin/issues/53#event-277601433
https://db.tt/hjXHQTmP
http://bl.ocks.org/d/79b541226cecf3b46307
http://geojsonlint.com/


- Category set to Data Provider/OGR

#4 - 2015-10-05 02:01 AM - Henrik Uggla

I'm having this problem as well. I'm using Qgis 2.8.2 on Ubuntu 12.04 with locale set to

swedish.{"type":"Feature","properties":{"info":""},"geometry":{"type":"Point","coordinates":[13.9,55.9]}} is rendered at 13.0,55.0.

It could be caused by the fact that in swedish the decimal separator is "," and not ".".

If I change os environment setting LC_NUMERIC from sv_SE.UTF-8 to en_US.UTF-8 and restart Qgis it works as expected.

#5 - 2015-12-05 06:07 AM - Martin Weis

This is a duplicate of #11587

#6 - 2016-10-07 05:56 AM - Even Rouault

- Resolution set to up/downstream

- Status changed from Open to Closed

This has been fixed in GDAL 2.0
